# PetscOptionsGetRealArray

Gets an array of double precision values for a particular option in the database. The values must be separated with commas with no intervening spaces.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsGetRealArray(const char pre[],const char name[],PetscReal dvalue[],PetscInt *nmax,PetscTruth *flg)

Not Collective

### Input Parameters

| pre | - string to prepend to each name or PETSC_NULL
| name | - the option one is seeking
| nmax | - maximum number of values to retrieve

### Output Parameters

| dvalue | - the double value to return
| nmax | - actual number of values retreived
| flg | - PETSC_TRUE if found, else PETSC_FALSE

### C++ variants

| PetscOptionsGetRealArray(const char b[],PetscReal i[],PetscInt *ii,PetscTruth *f) |  | -> |  | PetscOptionsGetRealArray(PETSC_NULL,b,i,ii,f)

### See Also

PetscOptionsGetInt(), PetscOptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsTruth(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsTruthGroupBegin(), PetscOptionsTruthGroup(), PetscOptionsTruthGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages